[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.SetTransparentMode

Sets the value for the TransparentMode property.

## Declaration

Source position: graphics.pp line 1298

`protected procedure TRasterImage.SetTransparentMode(`
`AValue: TTransparentMode`
`);`

## Arguments

`AValue` |  | New value for the property.

## Description

No actions are performed in the method when AValue is the same as the existing value for the property.

When AValue contains tmAuto, the clDefault constant is used as the value for the property. Otherwise, the RequestTransparentColor method is called to get the color stored in the bottom-left pixel in the raw image data.

## See also

TRasterImage.TransparentMode |  | Determines how transparent pixels are represented in the image.
TRasterImage.RequestTransparentColor |  | Gets the color used to represent transparent pixels in the image.
TTransparentMode |  | Represents transparency modes used in raster images.
clDefault |  | The default color of a given control.